extends Area2D

#an @export is a nice way to expose a variable in the IDE
#this could be handy when working in a team, working with others
@export var effect = "alert"

#a custom signal is a way for one object to communicate to another
#other objects must assign a handler function to hear about the custom signal
signal areatrigger(effect, Object)

func _on_body_entered(body):
	print("detected a body")
	areatrigger.emit(effect, body)
